| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Typedefs | Functions
usbd_api.h File Reference
`#include "error.h"`
`#include "mw_usbd.h"`
`#include "mw_usbd_hw.h"`

Go to the source code of this file.

## Data Structures
struct | USB_CORE_DESCS_T
| USB descriptors data structure. More...
struct | USBD_OVERRIDES_T
struct | USBD_API_INIT_PARAM_T
| USB device stack initilization parameter data structure. More...
struct | USBD_MSC_INIT_PARAM_T
| Mass Storage class function driver initilization parameter data structure. More...
struct | USBD_DFU_INIT_PARAM_T
| USB descriptors data structure. More...
struct | USB_HID_REPORT_T
| HID report descriptor data structure. More...
struct | USBD_HID_INIT_PARAM_T
| USB descriptors data structure. More...

## Typedefs
typedef void * | USBD_HANDLE_T
typedef void * | USBD_HID_HANDLE_T
typedef ErrorCode_t(* | USB_CB_T )(USBD_HANDLE_T hUsb)
| USB device stack's event callback function type.
typedef ErrorCode_t(* | USB_PARAM_CB_T )(USBD_HANDLE_T hUsb, uint32_t event)
| USB device stack's event callback function type.
typedef ErrorCode_t(* | USB_EP_HANDLER_T )(USBD_HANDLE_T hUsb, void *data, uint32_t event)
| USBD setup request and endpoint event handler type.

## Functions
ErrorCode_t | mwUSB_RegisterClassHandler (USBD_HANDLE_T hUsb, USB_EP_HANDLER_T pfn, void *data)
ErrorCode_t | mwUSB_RegisterEpHandler (USBD_HANDLE_T hUsb, uint32_t ep_index, USB_EP_HANDLER_T pfn, void *data)
void | mwUSB_SetupStage (USBD_HANDLE_T hUsb)
void | mwUSB_DataInStage (USBD_HANDLE_T hUsb)
void | mwUSB_DataOutStage (USBD_HANDLE_T hUsb)
void | mwUSB_StatusInStage (USBD_HANDLE_T hUsb)
void | mwUSB_StatusOutStage (USBD_HANDLE_T hUsb)
void | mwUSB_StallEp0 (USBD_HANDLE_T hUsb)
uint32_t | mwMSC_GetMemSize (USBD_MSC_INIT_PARAM_T *param)
ErrorCode_t | mwMSC_init (USBD_HANDLE_T hUsb, USBD_MSC_INIT_PARAM_T *param)
uint32_t | mwDFU_GetMemSize (USBD_DFU_INIT_PARAM_T *param)
ErrorCode_t | mwDFU_init (USBD_HANDLE_T hUsb, USBD_DFU_INIT_PARAM_T *param)
uint32_t | mwHID_GetMemSize (USBD_HID_INIT_PARAM_T *param)
ErrorCode_t | mwHID_init (USBD_HANDLE_T hUsb, USBD_HID_INIT_PARAM_T *param)

## Typedef Documentation

typedef void* USBD_HANDLE_T

Definition at line 26 of file usbd_api.h.

typedef void* USBD_HID_HANDLE_T

Definition at line 27 of file usbd_api.h.

## Function Documentation

uint32_t mwDFU_GetMemSize | ( | USBD_DFU_INIT_PARAM_T * | param | ) |

ErrorCode_t mwDFU_init | ( | USBD_HANDLE_T | hUsb,
|  | USBD_DFU_INIT_PARAM_T * | param
| ) |  |

uint32_t mwHID_GetMemSize | ( | USBD_HID_INIT_PARAM_T * | param | ) |

ErrorCode_t mwHID_init | ( | USBD_HANDLE_T | hUsb,
|  | USBD_HID_INIT_PARAM_T * | param
| ) |  |

uint32_t mwMSC_GetMemSize | ( | USBD_MSC_INIT_PARAM_T * | param | ) |

ErrorCode_t mwMSC_init | ( | USBD_HANDLE_T | hUsb,
|  | USBD_MSC_INIT_PARAM_T * | param
| ) |  |

void mwUSB_DataInStage | ( | USBD_HANDLE_T | hUsb | ) |

void mwUSB_DataOutStage | ( | USBD_HANDLE_T | hUsb | ) |

ErrorCode_t mwUSB_RegisterClassHandler | ( | USBD_HANDLE_T | hUsb,
|  | USB_EP_HANDLER_T | pfn,
|  | void * | data
| ) |  |

ErrorCode_t mwUSB_RegisterEpHandler | ( | USBD_HANDLE_T | hUsb,
|  | uint32_t | ep_index,
|  | USB_EP_HANDLER_T | pfn,
|  | void * | data
| ) |  |

void mwUSB_SetupStage | ( | USBD_HANDLE_T | hUsb | ) |

void mwUSB_StallEp0 | ( | USBD_HANDLE_T | hUsb | ) |

void mwUSB_StatusInStage | ( | USBD_HANDLE_T | hUsb | ) |

void mwUSB_StatusOutStage | ( | USBD_HANDLE_T | hUsb | ) |